Bug Hunting Session
Bug 80231 - EDITING: Sort refuses to include formats when column labels are merged
Summary: EDITING: Sort refuses to include formats when column labels are merged
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: All All
: medium enhancement
Assignee: Sahasranaman M S
URL:
Whiteboard: target:5.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-19 12:49 UTC by Simo Sutela
Modified: 2016-10-25 19:19 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example table for testing the Data > Sort functionality. (14.46 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-06-19 12:49 UTC, Simo Sutela
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Simo Sutela 2014-06-19 12:49:05 UTC
Created attachment 101358 [details]
Example table for testing the Data > Sort functionality.

In the Sort dialog, Options tab, tick "Range contains column labels" and "Include formats". Click OK. If the selected range contains merged cells, you get the error "Ranges containing merged cells can only be sorted without formats." This happens even if the merged cells are column labels (that are not included in the sort). If you untick "Include formats", the sort works as expected.

The error message should appear only if the sorted cells contain merged cells. The labels shouldn't matter.

This could be fixed also by improving the algorithm so that sorting merged cells would be possible.
Comment 1 raal 2014-09-10 18:21:50 UTC
Comment on attachment 101358 [details]
Example table for testing the Data > Sort functionality.

>PK����xdÓDl9.���.������mimetypeapplication/vnd.oasis.opendocument.spreadsheetPK����xdÓDq#f¡��¡�����Thumbnails/thumbnail.pngPNG
>
>���
IHDR���½���ÿ���+%@���hIDATxí]w¬UÅÖ#ª
»"E±%ú,¨QÀ.(xÂbÃQ"E±+(ÆXQüÃ^búcDEý@iï|¿sæÞ¹s÷¬Y3{.xÞõKÜî³ÎìÕöµÖÌÙûRõß
>¥Ôfe¨2eà#æc£F0XÐ#õGãDÖ¬ôÇÌ·äÑ°2Wó̵öG{pI¹Ü½ÐfX(C90údÙ®³¸È¨j»Ú'ÎG´¹)ê~)Çvò~)ÇQU:�Ã}Í57Æ8;\�UCñÑD`Göκuë´TM_¿~½¬)ø
>®¡¾Üö¬9Ï|Ÿ׺}çæ£VXµj<µk×øóÏ?ï²Ë.zØ_~Ù±cÇ&Mh/ië~ùå|l×®&jõxëHÂÈ~øa·ÝvÓ×¾Õ>Ô#õ	¾Óìø#]ä3¡ûF:Ù7¸
>ßxãzHßË!C<üðÃ×_}ûöí3ò-[öý÷ßï»ï¾°§teU¦ã£9gÏ>ûìg}v«­¶Ò¡:4MðK®l\à>]zé¥_|ñÅü9묳ÆóÙgá+ÑM7Ýtûí·ï¼óÎö%wÞy'<0uêTxÓ̶ÑàÇ<þøã?ùä-·ÜRY÷#ã(;]iÄ䪡7ï¾ûîüùó§Owl»í¶:tIo½õÖÊ+1á:uêôÊ+¯ì°Ãsæ̵]wÝùè£p=zô8ôÐCgÎùí·ß³o¾ùܹsa9(v.ÿúë¯ÁÄß~ûm¿ýö |Û³gÏ^z©Eß}÷ÝgѪU+;]å̹É|$=sI!ÙòÃpï§L2a·ß~ûÑG½ÈÄ7ß|ó¯¿þ�BÂÚ÷ßÿâÅ[·nݶm[¸qÁoɽ÷Þ"ü�ÏL<yáÂ8à0Ó6mzÝu×
4hÉ%sôÑG¿ðÂ+V¬8ðÀáÆ··ÜrnÄç~ùå#pÍìrõy϶}®QªS0ûÏ?ÿ={6Ô=æc0].ºè¢ñãÇ#nN=õÔ3Ï<óÊ+¯üꫯp§;wî» yóÍ7àI&m¿ýöGuÔÉ'à78å+®@ÞÂÜï.»ì20<çsF5xð`P#G<é¤à?ü=AµNÉù©M>n>&ºXÀwóæÍ1pþÓO?á®Ãðnݺ=ÿüó¸O?ýô6Ûl
>¼ôØcÁiºÀiÓ¦=ðÀ»÷Þ{ïüóÏÇD&ùA0DÌ1îEÀ±Â|ðÆo¼ðÂyäáÃ÷ïßE`ĸ5¡gy*v"W©bÌäLçP¥jj*&ò
NZ¶l	ýা}ûâ~Ã0L#9±ç{î±ÇpÍsÏ=wì±ÇÞpÃ
¸ÁtÏ=÷wÜq/¿ü2¦æ[lùãÖ[oߦMøÓ¾7nÜ«¯¾ºhÑ"|¿#î»ï¾È±b0ýi>pи StÐAÈ-ð"�w	ùæSNùhqTÙ¥|ðÁGyÂ	'tïÞq6zôh8nAF,ÂÏ8â*L-á¢C9ÙhâÄ`¨Ë/¸sÏ=¥©6Á:µtéR!ĸ&¡kÐÍ Ê Ø1ÕPî¸ãO?ý^_pËAAGÍBrB«ãÿî#!aÂaÞ`0r/¢Üàëßÿ}õêÕÈÌ,|ç¢onÇ&®9óÑl¾2ebÑð·/w/4£º5Æ-Ô-*4GaBÁ4E¨>ȵ°åª«®BúÁtRåtÕ¯_?dä]äæ>}ú`|ðÁ3ÓÕW_z÷ÝwÇ·` Áå`àæh ÷~_Õ-nùæ]_2¾"mw}Nz¸T§0!àÝd6æ¡íèÒ¥ÌCA>ï¼óPËcq§1Kra*ìÅ_òtë­·Î5ë'À\8p &â]wݸ§àS|¤qð:t(B
>E3	sBgð¯½Ú·cÈL¬Æg|äº,s¹{¡ÍP/và½öÚK¯2¡×®]'0yvÜqGd´WHÍ5ÓMd&$üUŵ×^®HóÁ©ÎÁùvÛmnávøóùÄOÜ{ï½ÍâË5´×5<sï3¡¨	qµ=¸7Ça¸£õÃÑ£Ç]rÉ%æ+äRUL *CÓuÁÒ@áx`¶�G]þ±XÃù5×\#¶Ñ®ÜB¾QÖrf¯2píNÐâfGvH28½Þ¯Un±ÑÌoO;í4¶Q±cïÞ½!%çúÄ^ÛºJÚ¨t¾)7'ÌZZl6÷
>å­ãG}ÔìpU¡£9âBø¬0Àõx³¤3³½¡dÏ$-NÃÈrÝñWÃ]_	kí]ÈÌVVÛ8Zoz+Uï`éÝ ÍP§¥´sàC-H°yVÞ$JÚ4.£T@ÚwúcfÊ«*úܦØñ«·z²¹îñ]|ª24E+¬c¨P³½®év¾Ì|«jfªÆF»»VÆ9æÜxfÓ	¥óÍܹs_ýuØ%ô駢ZLnWTÞãßQÕÜ$èðÚk¯}óÍ7Ú¡XçC%=á*\§>óæÍ{çwp5ZÌ&
>é¦ÄÜ{·ÙâMcê/­S3gÎDÓæÉ'Ä¢�@]k2ÝIoSÖ6{û­;R×5tßýû÷G;ÓåájHf©Ìå>&:>ÐÕN4iÔ¨QXI¡!»ûî»õÚB¤>ÿD"Í´¼¢«³9/eBø«$Hû₩ÄTúf Á@
,Aq{0¿íZIè^ë#,±r¥W¯^ª\z6JÑÜÔPJ*ðÕi÷¬h­Uë¶páBÔJ`ýi­pÒç«V­Â{Ù²eX/^¼xôèÑXëî¸W5:µ|ùòîÝ»cM&jÄ!CÈ\\ßñï¨hàVaÚµkW-Âî'|áñëtwÜm@=¦NzÛm·
:´gÏ-ÒqÃ;'ómæ6¸·6_ûLcÊ	8åĺOsrbשS;v|ñÅ1vìصÈtÅd$e|W|£¯êܹ3¤ë§ôªÕܧJæ½S0hÐ ô4ãÆ+÷±ºuëV´jð9§Aä|îÛ·/¦ø5k7o®ê®*3"Ýsû£©5ÁîQÕ,;DZÁÇ<	*×#F¬^½mö27É='ÙÆ
¯^^"I÷9-æöTé좢+w¢Õmý*oôG¤y4UÕW8ßTgÜòSfzcbí5Uû²wË7ʬµjò3Ö)ñ:j>©2ùÑ=j³JçzQ_¢J7PïË<	*iKµ2åͺÒÂ{³Í5ib¥K'Ãdë*IQ//¤ûsûªTÍü*|ójß^ÕÊYÈÒ_¤
>Z..T(kתNÔÖ[#êöÇeEêàûH^îeRõÿ¨­¶RÍÖ­Ãya]ÑÓïYªêcZ^ÑÕÙÊ7å	­4#F¨»ïV:(NS	¬__J6÷ß_
>ßÕ*ë·ªJC»å¾ûԹ窽÷.ñm·©I²N97bªªÛ÷ß/¨Þ}·tòëTÅújæè!°Ç­Â-[âX(ש
>÷7¥
>ÿkÜX-ZTlÓ¦°bEQç¼dÓÐûR6^¶L}þy)ßÜqZ±Bµh¡½ã˾IVøRU=ÿ½ü²ú÷¿KâôÓÕ[(ë7#R¢ËQ2ÖCzï½Â¢EpKaÕ*eýÉ3$ÙF)F½¼DîsZÌí3(õ7¥4ܫ￯þñê,×Çm0Ô4êÿTíÚU7&¶2ýûW×*ÕMTp©SÕë©O?UW\¡vÜQq1Cw\mw\IhXô>ñÚuWõǪKuÐAó>m¾yuµreI±ºMqCF9nþõ/Õ²eÞÁÝ*?ægOñȵ.¹´_N0q9²¸ti}Z·.}eÕWF«!³^
¯Òu¥9².h°ZµR×^[4ϱÎaKñú!Ctu6çU¥Þ¡U«¢^vÚ²e¡¦E²_ítßU÷|3/áÆ¿ç«[ÑÿB´ÃFQjd%Þó¡VOÕì!µje?dÅ8y6æõÂÿ÷|õyNt}ù	EåôçèõÚºuòsqÐDo»7F_\­Ìúõ¥éT.O]¡jJUCïuÞ1¹d^¿5T`®¯jTóXj£×Ñ«wl+þ¼§Pµæ*Yçoüño¿ýßí´ÓN4Ï+§æùtª£oÏ	.]ºå[®]»vðàÁíÚµ³ájXþF?:>qâÄ^½zéèy4¸þ·dúô鯿þú)S@<yò:tèÀT_~öÕ¦Hj~^ýøãÞ½{÷Y³f1bÚ´iÈEë%{F+¦6z2hó¡ÌGQ¨y°$2ç3ÄÈRUÓò2d®ÎuòÍ9s
Öºukxgìرªì5Ó"U¸NµhÑ¢iÓ¦M4éÝ»÷3æÍ×­[7{ºW²N5oÞܼT@2l¸u
>g¸OK,QåÛ¶mÑ#&öÉLrÌ0ýÜ°råÊÖÚÊÆ\&¶äÌ+¹
#4/¤ûsûJiÀ·ÜrÔ©1cÆ´iÓÆý«u£±lÙ²¹sç6kÖ쩧êÔ©Sûöíõ«hîo2úõÂLå^Øàú~øáãÇã7p{@hnt«QáýýTè\0þüÙ³gï³Ï>ýúõ3O¬VxÿFw3Pf÷Ýw/Zïªf6àýòk§]Ë°¯÷å6ßh¡}úôÉØ\¨ûTeò­ý¾­Ï
1ßlV~-ÙøLÈjÿM<¥QÑ!2jßývE·[èâ_¿Ò<Ë[ĵÓä!­UIFáή-îzÊöý'bÓPÖS®�FLFªë;þû¼³áQÕåãó{¡Ë9ãÄçøÌ[nó¦1Dårbݧ99±kë)¤êú®þùL+ßØDÉ7öà*R�)Ø`Sõî}#ã/$ufF2$s`fZ^ÑÕ¹6ßm|#ùÆuTmã3`S
>Öö¢{û­o¤+!©33áÌx 4Óò2d®ÎµqÃ$7_ôåÌÂ*F_þ\&l¶Òcò¥£^^"I÷9-¾Po&o¸|V_ p ë)/`õ	ªÃAiyrìßÈz*i=4C p!ë)YOÑJ2ý²×S.|ý¼¯·Yø0K*F¿LsD²
ÚBJaÈ/	y0êå%tÓâ×­Jê 
µu|LUðy?ÃÜ}o#¼¯I=Â'ÏûÕyÞÏgÔ)Rzÿ"Wz²·²·Ë¾IpT#4Óò2.`ÉòûI°úÕáÀ Í´¼9@êÔ©¤:åF/&#IÕõ}GÞYÁp̨êòñyǽÐå¬À
:ÇgTÌ"McÊ	8åĺOsrb×Ö)R�#&#IÕõäof.$n)¾XêTýúböW¾sûc¡î²ùèyA$+ò$¨d.[Hé1ÉÁ1AëHÒ}N¹}òg)=!9quç"I÷9-æöȾI0ÕáÀ Í´¼	 ùFò
­¤äBgÉ7õÍ7aõR§¤NÑJJ"t:%}1¡R$Û -¤ôÿ|ãU_ ðCêÔ)YO	60äùb/`×T#4Óò26ä�yJÞ÷§<|m!¥Ç0ä[4zy$Ýç´ø>RI#HÄ ò¼-½(ÏûÉ{0>︺¸AçøÊpðB¤iQ9§X÷iNNìÚõTÐÀÄ òÞô7IýMÐÀÄ òü
g)=!98f1Å«HÒ}N¹}ò;üÎ@+éó¹ìûI_\¿}?oHé1ÿþù ùÆ&J¾±Ës[^&>ëÈ90H3-/CèêlÎ¥¿|S¿|#ÄCúÉ7²òðI¶Ã4¼zy$Ýç´Ûg ýäYOÉz*?CèêlÎ¥¿|S¿þÆVRLFªë;þû¼³áQÕåãó{¡ËY9tϨ)DÆpÊuæäÄ®Í7æLÞ»SòÞ]Â{woä|CLWLFªë;þû¼³áQÕåãó{¡ËY9tϨ)DÆpÊuæäÄ6eÿ³Ã4¼zy$Ýç´Ûg ùFòMýòM0`ù9M¦ødÌ1óI	>n`	ªÃAiy<9@öý¼L|Ö&s`fZ^ÑÕÙ˾ԩ¤:E
> K¾|SoȶI¾|ã:JÛ¤@öo8[Hé1ÉÁ1ÉW//¤ûsûä÷)ù}*é÷© ©SR§h%uÊ«¾@àü=
>ÎRzC~£^^"I÷9-~LI:åSRê`ÃC~ýbZóÀ~1©YÐ5>=$nJÜ0¤õ1Ý#/ÈWk}Õ7mÐRzCrpLÐðêå%tÓbnäÉ7o<|m!¥Ç0üûç¯ú7HÜR }±ôÅI}qÐÀÄ ò>Ï:òÂdÒLËË!º:sÉ7ȾìûÑJÆîûÉz*ÃPÖSÜz)¾úꫵ1Óâ0ø¶ÉeÉ6h)=!ߢñ`ÔËK$é>§Å÷JþÃ$X}jÄp`fZ^ÁÆ û~R§êc/Þ}±ÃâÓË$mÐRzC>eò`ÔËK$é>§Åçu%ëpA¤/¾VRúbBçøâÈ\T#4Óò26ä�©SH:E+)uÐYêÔ)ÁF<Gáe¬>A5b80H3-/Ã`c@ýbZzQöå9QÁôÅ^&ÒGõÅÒß0öJ OTþhýþ½;¾<éË1)U ¾ü¹L"Ùm!¥Ç0äK-F½¼DîsZ|? ¤/¤A~gàl!¥Ç0ä[4zy$Ýç´ø>RÉsé>éEÙ¿Ü¿	,?§Él9 fÄ/:âsUPÒLËË0àɲãeìvjÄp`fZ^Á9@úbA
>$n)¸¤@ÖᲧdÖJöy[Hé1ùÖ£^^"I÷9-~ý¡dÿÆ'½(û7òü`Cúéoh%ýW}Àéo¤¿©_Lt|- KO|
>ÖüÉ7I°úÕáÀ Í´¼9@~ò2ñYG^ÌAiy2DWgYO	êYOÉzVéôÅ>éEéù¾±ÄW_}µ6¦aZFß6¹L"Ùm!¥Ç0ä[4zy$Ýç´ø>RÉ{¾o$ßxO¶ÃðïoÌY°±â{O»òõ­¾#Éäp!©33áÌx 4Óò2d®Îæ\úb©SIu*h@àBúbÉ7õË7¾êHBBVD¦^úFºÈñ:3#Î90H3-/CèêlÎ¥¿|#ëpd[Hé1ÉÁ1AëHÒ}N¹}òûg)=!_jy0êå%tÓâû%ë)Aäù/`õ	ªÃAiyräA
>¤¿þV2ÐßHò1:ÅÕ)É7-¤ô
(߸HÛóùèg >¹L"Ùm!¥Ç0äS&F½¼DîsZ|^W²_ì^ýbù=\°Á!q#HÄ òüô7Iý
cIÚ$æ£{äùz{_·É6h)=!98&hxõòIºÏi1·Ï@ê ²ï'û~´>kH¾¤@úéoh%¥¿lxÈ¿(ÿNbýþD·"ûÊJYî¿Ñâ;ÚÒ]AÁm¡ª.ΤÌU1«xçøÊpð!£ªíjÒ4¨êÖrÏɧ¹{7íÁo$ß$åÃ4¸ã׺äÒ:~\Ǭ¥²Ã$¸ºªÃAiy7>Èò¼IpT#4Óò2.`Éo¼L$ßpù&Ó!ºb2m}±Ûò
¬ïhKwÛíª.ΤÌU1«xçøÊpð!£ªíjÒ4¨êÞu²÷iîÞM{°Ô)/©S\|CJ|o\øâÝû1I9 >¹L"Ùm!¥Ç0äS&F½¼DîsZ|^Wò; 
òg)=!9quç"I÷9-æöÈ{0Òß$õ7¤�R0?§Él9 f0)ÁÇaÌ"A5b80H3-/Ã`'H#HìßxWIA5b80H3-/Ãà ùFYOÉzVé#Ô)Ô)®NI¾al!¥Ç0|#ùÆ{UPo\©ú+M/ʾìûë©`¢ãkYzâT°vÄäO¦ø¸1LÕ'¨Fi¦åelÈR§¼L¤NquÊ$ß0öJ¾ÉþFú¤þFêÔ)®N1ÉÍ'}93¦ 0¥Ä?I$Û -¤ô|©åÁ¨HÒ}NïääÉ7oJ½òW}ÀA
>¤¿ñ2þFúéoô7JCâFA
>ä½;ZzQ~çon`·T#4Óò2.DÈR§)¸¤@þþ
g)=!¿uÉQ//¤û¿¿ª¤/¾8±/&5ºÆ§ÄMCÆ´ÜóÑ=ò|9ÓE#Ùm!¥Ç0$Ç
¯^^"I÷9-æöÈïS-¤ôä`ÆÕ1$Ýç´Ûg ùFò
­dl¾×CÉ¿ëðïzñß¼L]KPÒLËË0ØP¤¿þVRú¬ÎÒߨz÷7ÿÎÊv
>Âë����IEND®B`PK��xdÓD���������������settings.xmlíYms¢:þ~Ã×;­hwÛÅiÝAê[·u[¿mH$ö×ß º×º²µ
>;×yyÃÉ9'çë¯�æqDÉR9W$.õÝ(£aëìòµþ×5Nku£�qÆ¡r/Éé×Òî%b¤FG¼F@�yM¸5B²VÛ][¥-ÈóâÖÊå8ÏãsÊfå¦iåUïf¨KÉÍ¥JGoSQJ%RaVdUUýTNÒZÈ-ÕTúFׯ_¯	ÒË0HtSZ7'¢Ý(²6G0þ©5eß¼×slÄ¡Î ÒPÙte(;J]½.ÿ
>ò.à{8Å 'ü}ÐWW'£w ù{%¯|Q/?@xÐÛ¥ñþ5ZÍÖÅã®·#%LROÌ¡ò.IÐ9@*ä-A_O±|Eå�û3"Æ)ëS4ÿÇÍä5òSÈÊÐ%`+ÄH<Pîªß§ìL ·(ôé7
>ÊÓA·å/�_wú	È,C=ÕãÀ7òæ´6°fVH97ßà½AmP!h#ðÒ`(QrµèÔ8ÚEMCuõXLbëoÑ/·|·Ú
Û¥¢Ôà~ä=Û»EV÷*¬êZ«±£¤ýäÐã2±Xæ^½úßÄN6± !3ç>I*enSy½B3®äçï·çCð{T}¾ S¶iâBêåEµúùàò7ëZV:KÑ£4î@àɤU ¦�ô.ÿ	YÌAk8sîn¹¹XCj.àîBçáY)p¯+ÂLÈåzg¦ßU=2íÂïÍÁO·"ÇCsÄ3ÅÏ	|¿ðÇN
>¯/·Äõ%è~\6°.G÷àP~Þ6D$ü{
><SJð²m	Ì¡©|'¦¼ÿéòÛõ1å½~'Q|èÒ+"°§ÊHC¼qÈn�ùGKC*¸Òæ
òdarÏÒú2EM¼h·r��¶Tê3½ówYõ°ØK0~:w¡CLìÎô?ò7R½Ö7,ûí¡c]ÐÃߣ©ë¾\=ùg2Û-õÉÒiÈwÿ¬N»Yµ£Éã]ø´lÜ�G^Û^&ûmyßRÁXúvcîsù4ƪôænc÷E]AÅw/tÓÄ~ñÚìö`Äñý­Î¥4?êbîR¿ö]Ur¿8m»:Çì'íÉóäq>UGÚöx/À?&C56pc`6{ód`Óô½vóÛ¨Ý"»Â`t9t½ÑÕªÖ5[£GÕ´GÍEkÜÒzCÕl³FÓ¶¦íOê¤}yõäCFqÔ2äÖ#£°ÅdËûüÝQ5�v£bཬô2»?:/ú Ô® ÔåC²_cY$f~GâüI
>ÎO-BîyN]9û÷Èoùåo¦Qÿb³èj¼3B+K³mN9oʬxÊ¿|s-g}®ÿPKÀÜùÑ��Ï��PK��xdÓD���������������content.xmlÍYKsÛ6¾÷WhÞ Z=³3N\7±­Ý×É 8�¨Ç¿ï !U:²û Øoß.uña³ÑHEñI0"<	åÙ<øãá½>\þp!ÒÆ$JD\æk®áÿ´¹¬tG+ª"s¢"G¢ ¼Ñ|tTÍeGÞ²ÁêØ×Öd£*lK/Ï\}íDâõPe úꩪ¼Q¥¢XÓ
£üË<Xj]Da¸^¯ÇëÙXÈ,Ô®(%«PIFÌd*'aÍÆCù¬OùÈÁ¡Á?YÕBp×$æ0C¾N+¿VÙàìZe=aXγ
>ÜNY2<Uf¯c½ìYß÷á«»Û]^É|è\Û
>U,i1ØMöõªQ°½¢;=99
í³^¯%ÕDzðø <Æ,vù¾ nIy·L TÂ4´bVI¯é¿ïnïã%ÉñLÿ(Wó]d¤Y^OÏBI
>!µL:¼øÂjM·¥ÎYé0ÒÉ$Ù:³Êlb´¢dý®U[çÃyXüzzParÛ°Ü»â/3w>¥¢ä-6dSI³J-jYð3¯0YiV¡§5»ß¹´×(Wô¢<íö¹!óÍ0s&ÑEv-v6}¬ÔLï[ÛßC#CæØ¡Ék¦ÁeÓØZ B7BR©Ë[ãÝðÈ>ÞóàÂQwt9ì4(Ä
4§l;~ÄP?upv0µL<Ê@@¹PkªTQPCA]aI«ìS»&ÿâ?Ëô<ÌJ[¥I~§[±¤ztMVãtúãÕ~vx)L|ÂÉ	^sö¿ÿ­Äü:º£±£Ï¤?<{°/¡°oÔã¸ÔMcTÙq¤úly¬¦_ÕMèTXó ÑôQûHM¥"ZH¿ ­ÍÔž¦é2¦ãéÙû8¯ø{tú¹É>nR¬;Ä`ÄgeEfpIh¶t2>=Âä	 Qhc|m-K2·Æûy79´¤D¢g5u Å%Ó§<ìý ¡ª`x[ó©­>º,1ôb8Õô-?a¬XYõp°Qzº¦Â#ÌhÆ¥4·¹f%Az[8/ é Ø]þæAr±穵2r
>
·Y Î$.Ì̱Ì(G¤&lêyÚàj/­ë_´6¡ h0ïöM
xÆ*L_f:^íî	äsÅv¥M5×÷dÇ7f-×ìµã½rçyxï³Wñ«}¦3ø{¥Ó×¢ô
,ì=jÁB$Û]k[¨%!úòÂVê³®8Ö±{#BaÇ|M©kéÕGÄhuÒÔuÌÊÖÊQø|{ö@
UÈÖmñtÀ§Ý¡ðïÎFf`Ëõ­® Á®%Ôã`Ô\�öÉöòVæ¼E»�#OZñ0Ë*Yý°¼»,Þ±JJ´týõ.9NK*!ÂNÐX=ÙaJê|ÒW'qóHüò=rv4ý«ãcx<ßÏßo!ÓñX>Ç"rýVüúÌEõG¢QÈƼç6o`;ÌÛ·Rb6bßp«]x|¼âosQªÇªux¼þøøxÒjºr¢­ÂIbflzñÕ$ª¿}:uy¥ÔµòÙº¡AZtï¾Zlkê-j~8Øõæµ¢¨ëªvjgÃ=´½íV»æ«ÕV­Æ«yêþàuùPKá¨hܧ��1��PK��xdÓD���������������meta.xmlAÛ ïýÝ+Û㪪§ÚÃVê-ràmJK ¼Nÿ}±ÒlC>xÞ7Ì�vûx>êìWÖlQSV*sØ¢¯Ïð=vïZûò¢piÅpðBE«ñ|mÑà·½WþÁí	L²ð[ÏArÖÊüÜ¢ï!8!ã8æã*·î@¦iÈ<M¨Wî48=SRÐ0%xRäIìÔðKMìm%kí5hÂÒs£´$Ë{¢NJ}o]Ø°=~U0¾GÙeû7ÎPNwªÑµsá ÀÑ£Ei湨8-yÅòMQÓõÕ¬%w­üuUñ²ÉÙz½nºªZ°%¤
>ñâ±Ü¼V÷~¼,ÿÏè­Cü|Çþ¢/òÂÀ@4[×=©½Ïó¦I³<>OÊçÝ·M½«ËìØý"ÑÒ§?.ׯÓØÑ%²Yý^v0!8ZDZ_µ$ÚýdH×7CîýÝoPK?Ôn`��F��PK��xdÓD������������
>���styles.xmlíZÛnÜ6}ïW2$@µÒîÆWñÊ
4M[ô(-J(j/yì÷ô«ú%R"W×µì\qÇ"Ïg.j}yµO©µÅ¼ ,[Ûóg[8YD²dmÿöîsa_?\²8&!ö#)ÎSÅÂYáWk»äÏPA
>?C).|ú,Çòh_-U(eSŸ)-ð^LØ,º¾²7¥#vS%8mÇlªð¾ NÌ¥9¤cÅìýÚÞû®»Ûíf»åñįV+WÍCËKN*
>]L±\¬pç³¹«±)hª}Û4)+ÓÌ'Sêy5ç¸�lWÆå4EMV|mÉѵMFh7O3nÊ2*˨)"±ñï{
êÇõ«c\ñtêZÛ¢*ä$¼Í
>ÝgS¥@ìÊÜç=v«çzw¾ãD`Þ'á!¢¡a¥C¤nîÂÁ[òÍå¦G5»çcH<½Ø;ªÒñT³ð(9KÒÆÙ¼;kÕ²Óü¯\jÖ¯sÏ@ï±ØòÄ1+³¨J»¼Ï1'r
>Q%æ·44#²{¨¬ÏVªÅRq÷î­+çy@¡«µ4N¿è£.fpÌÅ(ÄNCZU2ÃVõ,[Û¯Ô;e­õ+Ê ª hhJèam?@9+upÕ mµTK¼àvÑ^ìHQ´9!Ô-âD9Ó=mÚsüú½<mV3ŤC!pú16½b"¬çx2Ì8_à±îÚ°
Ød&>çêàìeëY?ãqz°!w,êñªÔ{pJZ÷Zsm«ª9N)µ5<G%å'çPu¸ ÐLVS-,w"Rɾòò<LÄÉôí*CGÒ1f>EYR¢fc¢B¨0}/^Ú]vuGa´
ù°Ñ3µB=ñÓë¾ZÙZP¼ïÑiæ7¤«ÕL½|­Ü3À{pY5^uÿÕrFEÌkÏî¬ú)%C2HBD¼«taÉ9\CKͽ§o<½-£àÙk^â1# ÂH¨S70�ÎæéÙ³2W7¥Ý5êe¤ÙzìÛ~HoÕºÚq¢±X	þýû£±£$¸aöX«x¥zê³8öà«»Igxß¿=)ÊMzd©.	[DKüðÑD<[ÀCyNk¶V`ºé«ïÁ}G¾÷	îÓÁ]Iö=ô¼:IìÛï[_}þ
72½¶¤Fß¿¡ÑÆÚ=oñSy /í­jÀ÷ìP
>F
6V?Öpܸßââ´-Ó×xN;�Nd©²±~[GàFB­OáÆ9%ÖQ@v$¯5P)Ø¢®	jQõ»mlØalàYÝŽØi«nßÝCåØ öþ#ùJõÓ8Æ
tÏBpL9+y¨*Ñ^+ç8ÇH	Å0úbDÆd°+ÊJ×v÷â&JÈÙ¹?É=9çÌÑù½(ÕîB)gÕEj»4åõt;¢úQw
>¡Ӿ-å²×§èÀJÑÚÓuÎíPß(ùb6à¤,9ÊqsôÉvwlÕ[c1cà¾Ãäù¸©àÍÊ»F<c9Þä5º=zïÝ<sasÇ-ªMùòVÂårÀĶ9nÏ|·ø|'gnäküÅìñ*ÝÊjnyêKrUy3o~¡¥Pø^öTY¤+øYèÉ:¶÷⤷ӯ?¾R¾njw´VÕ)*âØ£ªA©éTÙÌW\ªåòúÿbq®®®.Ýî`=wHèx^ºQÖ¤;Á¡wÜUÜÕßȽÔÒìªæz½ÆXÏ­ªEúIÜ·Qû¶þâ³³úÜOä&
º#ÙÖÃ
>' MHõü¨GDk¥ÖJ¡ÎêÐFáÑ
>ú4rÔõ2Ë?v¼'Î|e$üö¼Ú
>	~´´Áéíª%H«ûË¥ï-g«åÒ[-ÎÏå¾ú6
>¿öþþ·´Ü&PÝ9Õª	¬Æ>SìºÃÕÂþÃà?PKâðm~��x ��PK��xdÓD���������������manifest.rdfÍÍn0ï<eÎØ@/r(ʹjÀ5X/òÞ¾VQ¤ªêÔã®F3ß´íaȲ¨ÁT4c)%ÊHhµé+:».¹¥Û:Úض+ñj¥*ºwn*9_-7lϳ¢(xó<O¼"ÁÕ8qHÆ´	Biõä|9Îâ	fWQtë y÷ =Ý:© ²
>a¶R½¶ @	LÊtºNKÅ3óQ9Á¡íâÇ`½Ó¢<`ð+ÏØÞ¦å^཰î\ß|hzîczuÓÅñß#`2îOê»;yÿçþ.Ïÿ⯴vDl@Σgúç´òUG¯PK´÷hÒ����PK����xdÓD���������������Configurations2/popupmenu/PK����xdÓD���������������Configurations2/statusbar/PK����xdÓD���������������Configurations2/toolbar/PK����xdÓD���������������Configurations2/menubar/PK����xdÓD���������������Configurations2/floater/PK��xdÓD������������'���Configurations2/accelerator/current.xml�PK�����������PK����xdÓD���������������Configurations2/toolpanel/PK����xdÓD���������������Configurations2/progressbar/PK����xdÓD���������������Configurations2/images/Bitmaps/PK��xdÓD���������������META-INF/manifest.xml­TKnà ÝçÛÊÐfU¡8YTê	ÒP<v`@Ì%·/OU¥ªÕìæûÞcXmÁ7{Èä"vâE>ÐÆÞáØí{û*6ëÅ*të³ÑÔ>¤ÛQGC4�¤Ùê�ûhK�dý½^.Þ¥X/+ßà<´µ?¯ÕCñ¾MwP÷@®á�½3-t¤ä5\ËÔ{y,ouJJLO;�jí®O4Îâ³)w¤¸`FPS~sÝ
É:Ï;ÈVSz°ÈÓùÍÃA?sLæ~øÃ
ªUO³9Þ"n,ùAKe¬ÕYÙóï;ø×_$È⤽EÈWêÇW°þPKBÙd ��E��PK�����xdÓDl9.���.��������������������mimetypePK�����xdÓDq#f¡��¡���������������T���Thumbnails/thumbnail.pngPK���xdÓDÀÜùÑ��Ï���������������+��settings.xmlPK���xdÓDá¨hܧ��1���������������6"��content.xmlPK���xdÓD?Ôn`��F���������������(��meta.xmlPK���xdÓDâðm~��x ��
>�������������á)��styles.xmlPK���xdÓD´÷hÒ�����������������0��manifest.rdfPK�����xdÓD�������������������������Ö1��Configurations2/popupmenu/PK�����xdÓD�������������������������2��Configurations2/statusbar/PK�����xdÓD�������������������������F2��Configurations2/toolbar/PK�����xdÓD�������������������������|2��Configurations2/menubar/PK�����xdÓD�������������������������²2��Configurations2/floater/PK���xdÓD�����������'�������������è2��Configurations2/accelerator/current.xmlPK�����xdÓD�������������������������?3��Configurations2/toolpanel/PK�����xdÓD�������������������������w3��Configurations2/progressbar/PK�����xdÓD�������������������������±3��Configurations2/images/Bitmaps/PK���xdÓDBÙd ��E���������������î3��META-INF/manifest.xmlPK������p��Q5����
Comment 2 raal 2014-09-10 19:41:59 UTC
Enhancement, labels should  not influence sorting data.
Comment 3 Commit Notification 2015-10-23 14:41:38 UTC
Sahas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ed62053678166ee6ac76b4fa15569b843e280721

tdf#80231 sort including formats - ranges with merged column labels

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.